| Wheelchair Control Diploma Thesis, Author: Ondrej Vozda, FEEC BUT, 2013

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Properties Events Pages
Public Member Functions | Properties | List of all members
CsharpUSBJoystick.Fake_USBJoystick Class Reference

Class to simulate joystick when wheelchair is wifi-driven. More...

Inherits ContextBoundObject.

## Public Member Functions
void | SetCoordinates (Int32 X, Int32 Y, Int32 Z)
| Store coordinates thread-safely. More...
| Fake_USBJoystick (Int32 X, Int32 Y, Int32 Z)
| Default constructor. More...

## Properties
Int32 | X`[get]`
| X coordinate property getter. More...
Int32 | Y`[get]`
| Y coordinate property getter. More...
Int32 | Z`[get]`
| Z coordinate property getter. More...

## Detailed Description

Class to simulate joystick when wheelchair is wifi-driven.

System.Runtime.Remoting.Contexts.Synchronization attribute used, inherited form ContexBoundObject. Mutual exclusion provided automatically by system.

Definition at line 30 of file USBJoystick.cs.

## Constructor & Destructor Documentation

CsharpUSBJoystick.Fake_USBJoystick.Fake_USBJoystick | ( | Int32 | X,
|  | Int32 | Y,
|  | Int32 | Z
| ) |  |

Default constructor.

Parameters

  X | Initial X coordinate.
  Y | Initial Y coordinate.
  Z | Initial Z coordinate.

Definition at line 71 of file USBJoystick.cs.

## Member Function Documentation

void CsharpUSBJoystick.Fake_USBJoystick.SetCoordinates | ( | Int32 | X,
|  | Int32 | Y,
|  | Int32 | Z
| ) |  |

Store coordinates thread-safely.

Parameters

  X | X coordinate.
  Y | Y coordinate.
  Z | Z coordinate.

Definition at line 58 of file USBJoystick.cs.

## Property Documentation

Int32 CsharpUSBJoystick.Fake_USBJoystick.X
| get

X coordinate property getter.

Definition at line 38 of file USBJoystick.cs.

Int32 CsharpUSBJoystick.Fake_USBJoystick.Y
| get

Y coordinate property getter.

Definition at line 44 of file USBJoystick.cs.

Int32 CsharpUSBJoystick.Fake_USBJoystick.Z
| get

Z coordinate property getter.

Definition at line 50 of file USBJoystick.cs.

The documentation for this class was generated from the following file:

- C:/Users/Ondra/Desktop/Wheelchair Control/USBJoystick.cs